<?php
/**
 *
 * Copyright notice
 *
 * (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 * All rights reserved
 *
 * This script is part of the TYPO3 project. The TYPO3 project is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 *
 * This script is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * This copyright notice MUST APPEAR in all copies of the script!
 */

call_user_func(
	function ($extKey) {
		if (TYPO3_MODE === 'BE') {
			$navigationComponentId = 'TYPO3/CMS/Backend/PageTree/PageTreeElement';
			if (version_compare(\TYPO3\CMS\Core\Utility\VersionNumberUtility::getCurrentTypo3Version(), '9.0.0', '<')) {
				$navigationComponentId = 'typo3-pagetree';
			}

			\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
				'SGalinski.' . $extKey,
				'web',
				'News',
				'',
				[
					'Backend' => 'index',
				],
				[
					'access' => 'user,group',
					'icon' => 'EXT:' . $extKey . '/Resources/Public/Icons/module-sgnews.svg',
					'labels' => 'LLL:EXT:' . $extKey . '/Resources/Private/Language/locallang.xlf',
					'navigationComponentId' => $navigationComponentId
				]
			);
		}
	}, 'sg_news'
);
